Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Snmp.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2009 Raritan Inc. All rights reserved.
4 */
5
6#include <Event.idl>
7
8/**
9 * Device Settings
10 */
11module devsettings {
12
13 /** SNMP agent settings interface */
14 interface Snmp {
15
16 constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
17
18 /** SNMP agent configuration */
19 structure Configuration {
20 boolean v2enable; ///< SNMP v1 / 2c enabled
21 boolean v3enable; ///< SNMP v3 enabled
22 string readComm; ///< read community string
23 string writeComm; ///< write community string
24 string sysContact; ///< system contact
25 string sysName; ///< system name
26 string sysLocation; ///< system location
27 };
28
29 valueobject ConfigurationChangedEvent extends idl.Event {
30 string userName; ///< user who triggered event
31 string ipAddr; ///< ip or device on which user is logged in
32 Configuration oldConfig; ///< old configuration
33 Configuration newConfig; ///< new configuration
34 };
35
36 /**
37 * Retrieve the SNMP agent configuration.
38 *
39 * @return SNMP agent configuration
40 */
41 Configuration getConfiguration();
42
43 /**
44 * Set the SNMP agent configuration.
45 *
46 * @param cfg New SNMP agent settings
47 *
48 * @return 0 if OK
49 * @return 1 if any parameters are invalid
50 */
51 int setConfiguration(in Configuration cfg);
52
53 /**
54 * Retrieve the SNMP V3 Engine ID.
55 *
56 * @return SNMP V3 Engine ID
57 */
58 string getV3EngineId();
59
60 };
61
62}
devsettings::Snmp
SNMP agent settings interface.
Definition Snmp.idl:14
devsettings::Snmp::setConfiguration
int setConfiguration(in Configuration cfg)
Set the SNMP agent configuration.
devsettings::Snmp::getConfiguration
Configuration getConfiguration()
Retrieve the SNMP agent configuration.
devsettings::Snmp::getV3EngineId
string getV3EngineId()
Retrieve the SNMP V3 Engine ID.
devsettings
Device Settings.
Definition Crestron.idl:9
idl
Basic IDL definitions.
Definition Event.idl:10
devsettings::Snmp::ConfigurationChangedEvent
Definition Snmp.idl:29
devsettings::Snmp::ConfigurationChangedEvent::newConfig
Configuration newConfig
new configuration
Definition Snmp.idl:33
devsettings::Snmp::ConfigurationChangedEvent::userName
string userName
user who triggered event
Definition Snmp.idl:30
devsettings::Snmp::ConfigurationChangedEvent::ipAddr
string ipAddr
ip or device on which user is logged in
Definition Snmp.idl:31
devsettings::Snmp::ConfigurationChangedEvent::oldConfig
Configuration oldConfig
old configuration
Definition Snmp.idl:32
devsettings::Snmp::Configuration
SNMP agent configuration.
Definition Snmp.idl:19
devsettings::Snmp::Configuration::v2enable
boolean v2enable
SNMP v1 / 2c enabled.
Definition Snmp.idl:20
devsettings::Snmp::Configuration::v3enable
boolean v3enable
SNMP v3 enabled.
Definition Snmp.idl:21
devsettings::Snmp::Configuration::readComm
string readComm
read community string
Definition Snmp.idl:22
devsettings::Snmp::Configuration::sysContact
string sysContact
system contact
Definition Snmp.idl:24
devsettings::Snmp::Configuration::writeComm
string writeComm
write community string
Definition Snmp.idl:23
devsettings::Snmp::Configuration::sysLocation
string sysLocation
system location
Definition Snmp.idl:26
devsettings::Snmp::Configuration::sysName
string sysName
system name
Definition Snmp.idl:25
idl::Event
Common base for all events.
Definition Event.idl:13